"""
组件注册表
"""
# config/component_registry.py
from core.component import ComponentFactory
import importlib
from config.settings import COMPONENT_PACKAGES
from utils.logger import get_logger

# 获取日志记录器
logger = get_logger(__name__)

def register_all_components():
    """注册所有组件"""
    
    for package_name in COMPONENT_PACKAGES:
        try:
            ComponentFactory.auto_discover(package_name)
            logger.info(f"自动注册组件包: {package_name}")
        except ImportError:
            logger.error(f"导入组件包失败: {package_name}")
        except Exception as e:
            logger.error(f"注册组件包失败: {package_name}, 错误: {str(e)}")